MIEYE(1)

NAME

mieye - A tool to command Xiaomi Philips Eyecare Smart Lamp 2.

SYNOPSIS
mieye [OPTIONS] COMMAND [ARGS]...

DESCRIPTION

    A tool to command Xiaomi Philips Eyecare Smart Lamp 2.

OPTIONS

--ip TEXT

--token TEXT

-d, --debug

--help
    Show this message and exit.

  Commands:

ambient-off
    Ambient Light off.

ambient-on
    Ambient Light on.

bl-off
    Night Light off.

bl-on
    Night Light on.

delay-off
    Set delay off in minutes.

discover
    Search for plugs in the network.

eyecare-off
    Turn eyecare off.

eyecare-on
    Turn eyecare on.

notify-off
    Eye Fatigue Reminder off.

notify-on
    Eye Fatigue Reminder On.

off Power off.

on  Power on.

set-ambient-brightness
    Set Ambient Light brightness level.

set-brightness
    Set brightness level.

set-scene
    Set eyecare scene number.

status
    Returns the state information.